indexing
   description: "Adapter of a TEXT_VIEW to a SHAPE, object version"
   date: "1999/05/18"
   revision: "1.5"
   author: "Jean-Marc Jezequel"

class TEXT_SHAPE2
  inherit SHAPE

create make

--------------------------
feature -- Creation

make (x,y,w,h : INTEGER) is
  -- Creation and initialization
  do
	create text.make(x,y,w,h)
  end

--------------------------
feature {ANY} -- Queries

bottom_left : POINT2D is
  do
    Result := text.origin.twin
  end

top_right : POINT2D is
  do
    create Result.make(text.origin.x+text.width, text.origin.y+text.height)
  end

is_empty : BOOLEAN is
  -- Delegate the call to 'text' version
  do
    Result := text.is_empty
    end

new_manipulator : MANIPULATOR is 
  -- Factory Method
  do
    create Result.make(Current)
  end

--------------------------
feature {NONE} -- Private

text : TEXT_VIEW

invariant
  text_not_void: text /= Void

end
