indexing
   description: "Adapter of a TEXT_VIEW to a SHAPE"
   date: "1999/05/18"
   revision: "1.5"
   author: "Jean-Marc Jezequel"

class TEXT_SHAPE
  inherit
    SHAPE
    TEXT_VIEW
      rename origin as bottom_left -- to allow a merge with SHAPE's
      export {NONE} width, height  -- private inheritance: hidden features
      redefine make
      end                          -- is_empty is inherited without modification

create make

--------------------------
feature -- Creation

make (x,y,w,h : INTEGER) is
  -- Creation and initialization
  do
    create bottom_left.make(x,y)
    width := w; height := h
    is_empty := True
  end

--------------------------
feature {ANY} -- Queries

top_right : POINT2D is
  -- Returns the top right point of the shape
  -- The Result could be cached if this method is to be called often
  do
    create Result.make(bottom_left.x+width, bottom_left.y+height)
  end

new_manipulator : MANIPULATOR is 
  -- Factory Method
  do
    create Result.make(Current)
  end

end
