indexing
   description: "A point on a 2 dimentional space"
   date: "1999/05/18"
   revision: "1.5"
   author: "Jean-Marc Jezequel"

class POINT2D
  inherit ANY redefine out end;

create make

--------------------------
feature -- Creation

make (new_x, new_y : like x) is
-- Creation and initialization
  do
    x := new_x; y := new_y
    ensure x = new_x and y = new_y
  end

--------------------------
feature {ANY} -- Queries

x: REAL -- Cartesian coordinates of the point
y: REAL

is_zero : BOOLEAN is do Result := x = 0 and y = 0 end

out : STRING is
-- external representation of the point
  do
    Result := x.out
    Result.extend(',')
    Result.append(y.out)
  end

--------------------------
feature {ANY} -- Commands

add (other: like Current) is
-- add 'other' to Current
  do
    x := x+other.x; y := y+other.y
  end

end
