indexing
   description: "Pseudo-sophisticated text displayer and editor"
   date: "1999/05/18"
   revision: "1.5"
   author: "Jean-Marc Jezequel"

class TEXT_VIEW
  create make

--------------------------
feature -- Creation

make (x,y,w,h : INTEGER) is
  -- Create a text view at origin `x', `y' (POINT2D)
  -- and width `w' and height `h'
  do
    create origin.make(x,y)
    width := w; height := h
  ensure
    origin_set: origin.x = x and origin.y = y
    dim_set: width = w and height = h
  end

--------------------------
feature {ANY} -- Queries

origin : POINT2D
width: REAL
height: REAL
is_empty : BOOLEAN

invariant origin_not_void: origin /= Void

end

